// These imports have no CSS output, but provide variables, mixins and helpers to aid in construction of
// a design cutup.
@import "imports/variables.scss";
@import "imports/functions.scss";
@import "imports/mixins.scss";
@import "imports/placeholders.scss";

// Box size all the things
// https://squizmap.squiz.net/imp-bp/6400
// http://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
// == Start box-sizing reset ==
*, *:before, *:after {
    -webkit-box-sizing: inherit;
       -moz-box-sizing: inherit;
            box-sizing: inherit;
}
html {
    @include sq-border-box;
}
// == End box-sizing reset ==

/*
--------------------
Utilities
--------------------
*/

@import "imports/utilities.scss";

/*
--------------------
General
--------------------
*/

// Taken from HTML 5 BP
::-moz-selection {
    background: $content-selection-highlight;
    text-shadow: none;
}

::selection {
    background: $content-selection-highlight;
    text-shadow: none;
}

html,
body {
    height: 100%;
}
body {
    overflow-y: scroll;
    font-size: $base-font-scale + em;
    line-height: 1.2;
    padding: 0;
    margin: 0;
}

img {
    max-width: 100%;
}

// Reset fonts for relevant elements (taken from bootstrap)
input,
button,
select,
textarea {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}
h2 {
    font-family: $base-font-family;
    color: $base-font-colour;
    font-weight: bold;
    font-size: 25px;
    margin: 0;
}

.container {
    margin: auto;
    max-width: 1169px;
    padding: 0 20px;
}

@media screen and (min-width: $tablet){
    h2 {
        font-size: 35px;
    }
}

@media screen and (min-width: $desktop){
    .container {
        padding: 0;
    }
}

// IE10 Metro responsive
// Required for Windows 8 Metro split-screen snapping with IE10
// Source: http://timkadlec.com/2012/10/ie10-snap-mode-and-responsive-design/
@-ms-viewport{
    width: device-width;
}

// Print style that shouldn't belong to print.scss to avoid the css beautifier from killing
// the @ syntax inside media queries
@page {
    margin: 0.5cm;
}


/*
--------------------
Modules
--------------------
*/
@import "../modules/*/css/global.scss";
